<!-- <span id="filecolSection">
    <button class="btn float-right Rounded top-minus-3" data-ripple="true" aria-label="Columns">
        <img _ngcontent-lla-c19="" alt="Choose Columns" src="assets/images/novartis/column.svg"
            class="icon-css position-absolute">
    </button>
</span> -->
<!--top pagination count commented for symetry-->
<!-- <span id="showResultsCount1" class="top-minus-5 mr-2"  *ngIf="FileInfo?.length > 0">
    <span class="text-muted ">1-{{selectPaginator}} of {{this.FileInfo?.length}} result(s)</span>
</span> -->
<!-- <div class="row mr-3" id="fileTemplate1">
    <span class="text-dark ml-5 mr-2 mt-1 pt-1">Results Per Page</span>
    <span>
        <ejs-dropdownlist name="pageSize" cssClass="e-outline" [dataSource]="PaginationList" [value]="selectPaginator"
            (change)="changePage($event)" width="75px">
        </ejs-dropdownlist>
    </span>
</div> -->
<ejs-grid #gridelement [dataSource]='FileInfo' id="dtc-files-grid" allowSorting='true' allowPaging='true'
[toolbar]="toolbarSettings" [sortSettings]='sortSettings' [pageSettings]='gridPageSettings'  *ngIf="FileInfo?.length > 0">
    <e-columns>
        <e-column field='file_name' width='100' headerText="File Name"></e-column>
        <e-column field='file_uri_id' width='100' headerText="File ID"></e-column>
        <e-column field='abslt_path' width='100' headerText="Path"></e-column>
        <e-column field='arrvl_tm' width='150' headerText="Arrival Time"></e-column>
        <e-column field='file_size' width='200' headerText="File Size"></e-column>
    </e-columns>
</ejs-grid>
<span class="d-flex float-right top-minus-42" id="fileTemplate11" *ngIf="FileInfo?.length > 0">
    <span class="text-dark ml-5 mr-2 mt-3 pt-1">Results Per Page </span>
    <span class="mt-3">
        <ejs-dropdownlist name="pageSize" cssClass="e-outline" [dataSource]="PaginationList" [value]="selectPaginator"
            (change)="changePage($event)" width="75px">
        </ejs-dropdownlist>
    </span>
</span>

<div class="container-fluid pl-0 pb-0 card-body c-no-records-block" *ngIf="FileInfo?.length < 1">
    <span class="no-records">No Records Found</span>
</div>

<!-- allowPaging='true' allowSorting='true'
    [sortSettings]='sortSettings' [toolbar]="toolbarSettings" showColumnChooser='true' 
     [pageSettings]='gridPageSettings' -->